Subject: Re: [PATCH v2] git-gui: Basic dark mode support

From: [email-masked]
Date: Sun, 22 Nov 2020 14:30:42 +0200

On Sat, Nov 21, 2020 at 18:47, Stefan Haller <[email-masked]> 
wrote:
> This caused a regression: when selecting text in the diff pane or in 
> the
> commit message window, the selected text now has a black background 
> (on
> Mac and on Windows, I don't have a Linux system to test this). This
> looks quite ugly; it used to be light blue on both of these systems.
> 
> When setting gui.usettk to 0, it is light blue as before (as 
> expected).
> 
> I'm sorry that I can't give any suggestions how to fix this, because I
> have trouble understanding the code related to themes, even after
> staring at it for quite a while this afternoon.
> 
> Best,
> Stefan

Looks like it uses inversed text colors for select colors. It works the 
same way on linux too.

I'll try to figure out why and how it can be fixed.